• Your favorite

    Apple

    ,

    iPhone

    ,

    iPad

    ,

    iOS

    ,
    Jailbreak
    , and
    Cydia
    site.
  • iTunes 7.5 Update


    iTunes today updated to version 7.5. No word yet on if the update affects anything iPhone...

    Let us know!

    (thanks Savon for the tip)

    update:

    Syncing: OK
    Option Restore: Ok
    Downgrade Firmware : Ok


    Further Update:

    This DOES break iNdependence for now. So no using iNdependence with iTunes 7.5...


    (thanks, Jobs)

    iTunes 7.5 - 41.3MB
    iTunes 7.5 features the ability to activate iPhone wherever service is offered and support for Phase, a new interactive music game designed exclusively for iPod nano (third generation), iPod classic, and iPod (fifth generation). This release also includes bug fixes to improve stability and performance.

    Quicktime 7.3 - 51.8MB
    QuickTime 7.3 addresses critical security issues and delivers:
    - Support for iTunes 7.5
    - Updated support for creating iPhone-compatible web content
    - Updated JavaScript support in the QuickTime Web Plug-in
    - Numerous bug fixes

    This release is recommended for all QuickTime 7 users.

    For detailed information on the security content of this update, please visit this website: http://www.info.apple.com/kbnum/n61798.
    thanks, ajfoggy
    This article was originally published in forum thread: iTunes 7.5 Update started by Kyle Matthews View original post
    Comments 99 Comments
    1. handana's Avatar
      handana -
      I can confirm this,

      Firmware 1.1.1. and Itunes 7.5 work just fine.

      I'm not brave enough tot upgrade to 1.1.2.
    1. audiohhh's Avatar
      audiohhh -
      says unsupported version of itunes (7.5) is running
    1. dipesh14's Avatar
      dipesh14 -
      Does anyone know where I can get a pre 7.5 version of iTunes (Mac)? The links that have been mentioned previously dont seem to work and I dont wanna upgrade just yet.

      Regards.
    1. ramses's Avatar
      ramses -
      i bought yesterday my ifone and when i plug it into the itunes it can not be activated with out an at&t acount son a can not activated it . please help
    1. naskorangelov's Avatar
      naskorangelov -
      same here.
    1. Zer0's Avatar
      Zer0 -
      i need itunes 7.4.2 for mac any link to download ??? TNX
    1. yowiphone's Avatar
      yowiphone -
      so what do we benefit from?
    1. ddollins86's Avatar
      ddollins86 -
      Quote Originally Posted by ajfoggy View Post
      1.1.1 from box jailbroken with jailbreakme.com, then anysim.

      Works fine with Itunes 7.5

      Not going to try 1.1.2 for now.

      Same here. I am not computer savvy, so this is a message to everyone who is nervous to update or upgrade anything without being 110% sure everything will work. I bought a 1.0.1 phone, upgraded it through firmware 1.1.1. I was able to jailbreak my phone through the 1.1.1 touchfree (jailbreakme.com) method. I updated my iTunes to 7.5 and everything works fine.

      iBrickr - Fully functional with iTunes 7.5 installed.

      iTunes - Complete syncing, no problems whatsoever.

      Jailbreak - All of my 3rd party apps remain fully functional after 7.5 upgrade.


      In short, everything has remained fully functional and I believe it is safe to upgrade iTunes to 7.5 with a jailbroken 1.1.1 iPhone!


      Thanks to the people who put in all the hard work making these phones more functional than Apple had originally considered!
    1. msriotdoll's Avatar
      msriotdoll -
      if you are looking for older versions of itunes go to oldapps.com
      you'll find itunes for both windows/mac
    1. atm_10142k's Avatar
      atm_10142k -
      its shift + restore if you want to manually select your firmware.
    1. Mac Aladdin's Avatar
      Mac Aladdin -
      what do u mean by no using INdependence for iTunes 7.5?

      I used INdependence to jailbreak my iPhone while upgrading to 1.1.1 from 1.0.2. But I didn't use it for upgrading to 1.1.2. But should I still refrain from upgrading my iTunes to 7.5?

      Cheers.
    1. alpawa's Avatar
      alpawa -
      Quote Originally Posted by ramses View Post
      i bought yesterday my ifone and when i plug it into the itunes it can not be activated with out an at&t acount son a can not activated it . please help
      Dude, on theese forums you'lll find everithing you need to unlock/activate and jailbreak your iphone. Just read and read... Good luck!
    1. jacques92's Avatar
      jacques92 -
      help help i have downloaded and downloaded independence but it wont read it as a program it just has heaps of files i am running an xp machine and need to activate my ipod help !!!
    1. AXN's Avatar
      AXN -
      What's the highest version of iTunes I can use?

      iPhone 8GB, 1.1.4, unlocked via iLiberty

      TIA
    1. GADeputy's Avatar
      GADeputy -
      Quote Originally Posted by AXN View Post
      What's the highest version of iTunes I can use?

      iPhone 8GB, 1.1.4, unlocked via iLiberty

      TIA

      You shouldn't have any problems with any version. I use the most current version. 7.6.2.9
    1. wePhone's Avatar
      wePhone -
      Quote Originally Posted by GADeputy View Post
      You shouldn't have any problems with any version. I use the most current version. 7.6.2.9
      Um...wouldn't there be problems if Apple had to upgrade to third decimal places? I think so.
    1. AXN's Avatar
      AXN -
      Good one. One for yes and one for no.

      That takes me back where I started.

      I just need the iTunes to get inside the phone and start to organize music etc.
      Plus I need installer that almost everybody is using. I have Cydia and looks like it's more limited (no backgammon) I am also getting lot of error with that prog when installing most software via the prog.

      So, I am thinking to flash it and perhaps go with other prog with more stable futures. And again I will need the iTunes.

      TIA
    1. Jay316's Avatar
      Jay316 -
      I hope they release a newer version that allows us to sync only specific seasons of tv shows
    1. AXN's Avatar
      AXN -
      I went with current version. 7.6.2.9 and all is fine. (so far)

      Cheers,